#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	protobuf-c
Version		:	1.5.0
Release		:	17.2.0.rel%{?dist}
Summary		:	 C bindings for Google's Protocol Buffers

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	https://github.com/protobuf-c/protobuf-c

Source0		:	%{name}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	autoconf
BuildRequires	:	automake
BuildRequires	:	make
Buildrequires	:	gcc-c++
Buildrequires	:	libtool
Buildrequires	:	protobuf

#-----------------------------------------------------------------------------
%description
Protocol Buffers are a way of encoding structured
data in an efficient yet extensible format.
This package provides a code generator and run-time
libraries to use Protocol Buffers from pure C (not C++).
 
It uses a modified version of protoc called protoc-c.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license LICENSE
%doc README.md TODO
%{_libdir}/lib%{name}.so.1*

#=============================================================================
%package		compiler
Summary		:       Protocol Buffers C compiler

Requires	:	%{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		compiler
This package contains a modified version of
the Protocol Buffers compiler for the C
programming language called protoc-c.

#-----------------------------------------------------------------------------
%files			compiler
%{_bindir}/protoc-c
%{_bindir}/protoc-gen-c

#=============================================================================
%package		devel
Summary		:       Protocol Buffers C headers and libraries

Requires	:	%{name}			= %{version}-%{release}
Requires	:	%{name}-compiler	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
his package contains a modified version of
the Protocol Buffers compiler for the C
programming language called protoc-c.

#-----------------------------------------------------------------------------
%files			devel
%{_includedir}/%{name}/%{name}.h
%{_includedir}/%{name}/%{name}.proto
%{_includedir}/google/%{name}/%{name}.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
%build

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

#To remove libtool library and static library
find 								\
	%{buildroot}%{_libdir}					\
	\(							\
		 -name \*.la					\
		 -o						\
		 -name \*.a					\
	 \)							\
	-delete

#-----------------------------------------------------------------------------
%changelog
